Module Module1

    Sub Main()

        Console.WriteLine("Hours".Trim.PadLeft(11) & _
                          "Base Rate".Trim.PadLeft(11) & _
                          "O/T Rate".Trim.PadLeft(11) & _
                          "Base Pay".Trim.PadLeft(11) & _
                          "O/T Pay".Trim.PadLeft(11) & _
                          "Gross Pay".Trim.PadLeft(11))
        Console.WriteLine("------".Trim.PadLeft(11) & _
                          "----------".Trim.PadLeft(11) & _
                          "---------".Trim.PadLeft(11) & _
                          "---------".Trim.PadLeft(11) & _
                          "--------".Trim.PadLeft(11) & _
                          "----------".Trim.PadLeft(11))

        CalcGrossPay()
        CalcGrossPay(pintHoursWorked:=25)
        CalcGrossPay(pintHoursWorked:=42, psngBaseHourlyRate:=30)
        CalcGrossPay(pintHoursWorked:=43, psngBaseHourlyRate:=28, psngOvertimeRate:=1.1)
        CalcGrossPay(pintHoursWorked:=40, psngOvertimeRate:=1)
        CalcGrossPay(psngBaseHourlyRate:=37)
        CalcGrossPay(psngOvertimeRate:=1.25)

        Console.WriteLine("")
        Console.WriteLine("(Press Enter to close this window.)")
        Console.ReadLine()

    End Sub

    Private Sub CalcGrossPay(Optional ByVal pintHoursWorked As Integer = 40, _
                             Optional ByVal psngBaseHourlyRate As Single = 35, _
                             Optional ByVal psngOvertimeRate As Single = 1.5)

        Dim sngBasePay As Single
        Dim sngOvertimePay As Single
        Dim sngGrossPay As Single

        If pintHoursWorked <= 40 Then
            sngBasePay = psngBaseHourlyRate * pintHoursWorked
            sngOvertimePay = 0
        Else
            sngBasePay = psngBaseHourlyRate * 40
            sngOvertimePay = (pintHoursWorked - 40) * psngBaseHourlyRate * psngOvertimeRate
        End If

        sngGrossPay = sngBasePay + sngOvertimePay

        Console.WriteLine(pintHoursWorked.ToString.Trim.PadLeft(11) & _
                          Format(psngBaseHourlyRate, "Fixed").Trim.PadLeft(11) & _
                          Format(psngOvertimeRate, "Fixed").Trim.PadLeft(11) & _
                          Format(sngBasePay, "Currency").Trim.PadLeft(11) & _
                          Format(sngOvertimePay, "Currency").Trim.PadLeft(11) & _
                          Format(sngGrossPay, "Currency").Trim.PadLeft(11))
    End Sub

End Module
